Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRAbstractLRUVirtualizer.ClassLoaderAnnotationObjectOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ObjectOutputStream
              net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer.ClassLoaderAnnotationObjectOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.io.ObjectOutput, java.io.ObjectStreamConstants

Enclosing class:
  JRAbstractLRUVirtualizer

    protected class JRAbstractLRUVirtualizer.ClassLoaderAnnotationObjectOutputStream

extends java.io.ObjectOutputStream

Nested Class Summary

Nested classes/interfaces inherited from class java.io.ObjectOutputStream
`java.io.ObjectOutputStream.PutField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`JRAbstractLRUVirtualizer.ClassLoaderAnnotationObjectOutputStream(java.io.OutputStream out)`

Method Summary
`protected void` | `annotateClass(java.lang.Class clazz)`

Methods inherited from class java.io.ObjectOutputStream
`annotateProxyClass, close, defaultWriteObject, drain, enableReplaceObject, flush, putFields, replaceObject, reset, useProtocolVersion, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeClassDescriptor, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeObject, writeObjectOverride, writeShort, writeStreamHeader, writeUnshared, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRAbstractLRUVirtualizer.ClassLoaderAnnotationObjectOutputStream

    public JRAbstractLRUVirtualizer.ClassLoaderAnnotationObjectOutputStream(java.io.OutputStream out)
                                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### annotateClass

    protected void annotateClass(java.lang.Class clazz)
                          throws java.io.IOException

  Overrides:
    `annotateClass` in class `java.io.ObjectOutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com